INTERFACE
SUBROUTINE CPPHDDH(&
 & KPROMA,KPROMVC,KPROMDLR,KSTART,KPROF,KFLEV,LDDYN,&
 & LDVERCOR,PVCRSSAH,PRDLR,&
 & PNORDL, PNORDM, PUZGEO, PVMGEO,&
 & PSLAT, PCLAT, PLON,&
 & PSNS,PTP,PTS,&
 & PWP,PWS,PT0,PLSM,&
 & PDIFCQ, PDIFCS, PDIFTQ, PDIFTS, PFCQNG,&
 & PFPLCL, PFPLCN, PFPLSL, PFPLSN, PFRSO, PFRTH,&
 & PFRTHDS,PFHPCL, PFHPCN, PFHPSL, PFHPSN,&
 & PSTRCU, PSTRCV, PSTRDU, PSTRDV, PSTRTU, PSTRTV,&
 & PCT,&
 & PFCHSP, PFCLL, PFCLN, PFCS, PFEVL, PFEVN, PFLWSP,&
 & PFONTE, PRUISP, PRUISS,&
 & PENTRA, PENTRV,&
 & PDIFTQL,PDIFTQN,PDIFCQL,PDIFCQN,PFCQLNG,PFCQNNG,&
 & PFHSCL,PFHSCN,PFHSSL,PFHSSN, PFEPFP, PFCMPCQ, PFCMPSN, PFCMPSL,&
 & PFCQLF,PFCQIF,PFSQLF,PFSQIF,&
 & PFPFPL,PFPFPN,PFPFPCL,PFPFPCN,&
 & PFPEVPL,PFPEVPN,PFPEVPCL,PFPEVPCN,&
 & PFCQRNG, PFCQSNG,&
 & PHI0,PUCLS,PVCLS,PTCLS,PQCLS,PCLPH,PALB,PGZ0,PGZ0H,&
 & PDHCV, PDHCS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMMDDH , ONLY : NDHCVSU ,NDHCSSU ,NDHVV ,NDHFVD ,&
 & NDHVS ,NDHFSD ,NDHFSP ,NDHVFS ,NDHAVP ,NDHAHKP ,&
 & NDHBHKP ,NDHBMCP 
USE PAR_RDLR , ONLY : JP_RSAH ,JP_DIMR
USE DDH_MIX,ONLY :ADD_FIELD_3D
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMDLR
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LDDYN
LOGICAL ,INTENT(IN) :: LDVERCOR
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR(KPROMDLR,0:KFLEV,JP_DIMR)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUZGEO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVMGEO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT0(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQ(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCS(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQNG(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTHDS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCU(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCHSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFLWSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFONTE(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PENTRA(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PENTRV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQLNG(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQNNG(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEPFP(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPCQ(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQLF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQIF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFSQLF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFSQIF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQRNG(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQSNG(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI0(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLPH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0H(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHCV(KPROMA,0:KFLEV,NDHCVSU)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHCS(KPROMA,NDHCSSU)
END SUBROUTINE CPPHDDH
END INTERFACE
